Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents
Enum Page.TabOrderEnum

    java.lang.Object
      java.lang.Enum<Page.TabOrderEnum>
          org.pdfclown.documents.Page.TabOrderEnum

All Implemented Interfaces:
  Serializable, Comparable<Page.TabOrderEnum>

Enclosing class:
  Page

    @PDF(value=PDF15)
    public static enum Page.TabOrderEnum

extends Enum<Page.TabOrderEnum>

Annotations tab order [PDF:1.6:3.6.2].

Enum Constant Summary
`Column` Column order.
`Row` Row order.
`Structure` Structure order.

Method Summary
`static Page.TabOrderEnum` | `get(PdfName value)` Gets the tab order corresponding to the given value.
`PdfName` | `getCode()`
`static Page.TabOrderEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Page.TabOrderEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Row

    public static final Page.TabOrderEnum Row

  Row order.

### Column

    public static final Page.TabOrderEnum Column

  Column order.

### Structure

    public static final Page.TabOrderEnum Structure

  Structure order.

Method Detail

### values

    public static Page.TabOrderEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Page.TabOrderEnum c : Page.TabOrderEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Page.TabOrderEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Page.TabOrderEnum get(PdfName value)

  Gets the tab order corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.